Page MenuHomePhabricator

Warn user when a template does not exist with a different message
Closed, ResolvedPublic8 Story Points

Description

When you insert a template which doesn't exists, you have the visualeditor-dialog-transclusion-no-template-description. This message says that "The "$1" template doesn't yet have a description, but there might be some information on the template's page." It is confusing, because you can think that there is a template. A message like "this template doesn't exists" would be helpful.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2017, 2:51 PM
Jdforrester-WMF renamed this task from Warn user when a template is not available to Warn user when a template does not exist with a different message.Apr 11 2017, 7:05 PM
Jdforrester-WMF claimed this task.
Jdforrester-WMF triaged this task as Low priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR1: Releases on the VisualEditor board.

Change 349370 had a related patch set uploaded (by Jforrester):
[mediawiki/extensions/VisualEditor@master] MWTemplatePage: Show a different message if the template doesn't exist

https://gerrit.wikimedia.org/r/349370

Jdforrester-WMF changed the point value for this task from 1 to 8.Apr 21 2017, 2:34 AM

Change 349370 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] MWTemplatePage: Show a different message if the template doesn't exist

https://gerrit.wikimedia.org/r/349370

Jdforrester-WMF closed this task as Resolved.Apr 24 2017, 9:00 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptApr 24 2017, 9:00 PM